!====================================
! 
! corerd.F reads reduced cores for whatever
!
!====================================

subroutine corerd(nx, ny, nz, cbe, which, icore, mdl, dmp, timec, logunit)

  implicit none
  
  integer nx,ny,nz, nwidth, dmp, icore, imax, jmax, kmax, &
          logunit, dmpunit, which

  real timec

  real cbe(nx,ny,nz)

  character(2) mdl
  character(3) quant
  character(21) dmpfile

!=====================================

  dmpunit = 4

  if (which .eq. 1) then
    write (quant,'(a3)') 'rho'
  endif
  if (which .eq. 2) then
    write (quant,'(a3)') 'vlx'
  endif
  if (which .eq. 3) then
    write (quant,'(a3)') 'vly'
  endif
  if (which .eq. 4) then
    write (quant,'(a3)') 'vlz'
  endif
  if (which .eq. 5) then
    write (quant,'(a3)') 'bfx'
  endif
  if (which .eq. 6) then
    write (quant,'(a3)') 'bfy'
  endif
  if (which .eq. 7) then
    write (quant,'(a3)') 'bfz'
  endif

  write(dmpfile,'(a7,i2.2,a3,i3.3,a2,a4)') &
       "subcore",icore,quant,dmp,mdl,".dmp"
  write(*,*) "coretree: reading file ",dmpfile
  open(file=dmpfile,unit=dmpunit,form="unformatted",status="unknown")
  read(dmpunit) nx,ny,nz,icore,timec
  write(*,*) nx,ny,nz,icore,timec
  read(dmpunit) imax,jmax,kmax
  read(dmpunit) cbe
  close(dmpunit)

!========================================

  return
end
