#include "treelib.def"
!======================================
! SUBROUTINE: proteuswrite2d
!
! PURPOSE   : writing data sets for proteus2d
!
!======================================

subroutine proteuswrite2d(nx,ny,filename,dmp,iter,timec,field,dmpunit,logunit)

  implicit none

  integer nx, ny, iwhich, dmp, logunit, dmpunit

  integer tnx, tny, tnxtot, tnytot, tixbeg,tiybeg, tixend, tiyend, incbdy, tdim, &
          dmpcount, iter

#ifdef SINGLE
  real             timec
  real             field(nx,ny)
#else
  double precision timec
  double precision field(nx,ny)
#endif

  character(12) filename

!--------------------------------------

  write(logunit,'("PROTEUSREAD2D: writing file ",a12)') filename
  open(unit=dmpunit,file=filename,form="unformatted",status="unknown")
  write(dmpunit) 2, nx, ny, nx+4, ny+4, 3, 3, nx+2, ny+2, 0
  write(dmpunit) dmp, timec, iter
  write(dmpunit) field
  close(dmpunit)

  return

!========================================

end  

  
